Admin A P I
List locations
Returns a paginated list of locations.
GET
/api/admin/locationsAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Query Parameters
filter[short]?string
Filter locations by short identifier.
filter[long]?string
Filter locations by long description.
sort?string
Sort locations by ID, short identifier, or creation date. Prefix with a hyphen for descending order.
page?integer
Page number to return.
per_page?integer
Results to return per page.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/admin/locations?filter%5Bshort%5D=us-east&filter%5Blong%5D=US+East&sort=short&page=1&per_page=50"{ "object": "list", "data": [ { "object": "location", "attributes": { "id": 16053, "short": "yXYh3ig7", "long": "DtTf5dbTXXUq1fV3VBHWMKFch7pKkxN4", "nodes_count": 0, "servers_count": 0, "created_at": "2026-09-22T14:45:26+00:00", "updated_at": "2026-09-22T14:45:26+00:00", "relationships": { "nodes": { "object": "list", "data": [ { "object": "node", "attributes": { "id": 13380, "uuid": "0c8baf15-4a20-49b5-b738-109796b553e1", "public": true, "name": "FactoryNode_K98YXFAsPq", "description": "string", "location_id": 16046, "fqdn": "74.174.140.253", "scheme": "http", "behind_proxy": false, "maintenance_mode": false, "memory": 1024, "memory_overallocate": 0, "disk": 10240, "disk_overallocate": 0, "upload_size": 100, "daemon_listen": 8080, "daemon_sftp": 2022, "daemon_base": "/var/lib/pterodactyl/volumes", "created_at": "2026-09-22T14:45:25+00:00", "updated_at": "2026-09-22T14:45:25+00:00", "servers_count": 0, "allocated_resources": { "memory": 0, "disk": 0 }, "relationships": { "location": {} } }, "meta": { "resource": "https://panel.example.com/api/admin/nodes/1" } } ] } } }, "meta": { "resource": "https://panel.example.com/api/admin/locations/1" } } ], "meta": { "pagination": { "total": 1, "count": 1, "per_page": 50, "current_page": 1, "total_pages": 1, "links": { "property1": "string", "property2": "string" } } }}